Last Comment Bug 557604 - IRAN.ir should be known as an Effective TLD
: IRAN.ir should be known as an Effective TLD
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Pam Greene
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-06 12:03 PDT by Behnam Esfahbod [:zwnj]
Modified: 2010-04-26 16:44 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.10-fixed


Attachments
Adds two <iran>.ir entries and updates URL (738 bytes, patch)
2010-04-16 03:54 PDT, Pam Greene
no flags Details | Diff | Splinter Review
Fixed typo (missing "x" in one of the comments) (739 bytes, patch)
2010-04-16 03:57 PDT, Pam Greene
no flags Details | Diff | Splinter Review
Adds additional reference URL, and now a proper Hg diff (883 bytes, patch)
2010-04-19 06:18 PDT, Pam Greene
gerv: review+
mbeltzner: approval1.9.2.4+
mbeltzner: approval1.9.1.10+
Details | Diff | Splinter Review

Description Behnam Esfahbod [:zwnj] 2010-04-06 12:03:01 PDT
At IRNIC (.ir ccTLD Registyr) users are able to register domain under the following second-level domain names, which both translate to IRAN.ir.

 * ایران.ir  	xn--mgba3a4f16a.ir (Persian YEH)
 * ايران.ir  	xn--mgba3a4fra.ir (Arabic YEH)

This TLD has been active since 2004 and will be active in the next 6 years.  Would you please add these to the list of Effective TLDs to increase the security of these domains?  (Please let me know if you prefer I make the patch)
Comment 1 Behnam Esfahbod [:zwnj] 2010-04-06 12:05:08 PDT
The page describing the policies I mentioned in the description: http://www.nic.ir/Internationalized_Domain_Names
Comment 2 Behnam Esfahbod [:zwnj] 2010-04-06 12:06:11 PDT
And here's an example site: http://وب.ریرا.ایران.ir/
Comment 3 Behnam Esfahbod [:zwnj] 2010-04-06 12:13:47 PDT
You may also want to update the link (in netwerk/dns/src/effective_tld_names.dat) from "http://www.nic.ir/ascii/Appendix1.htm" to "http://www.nic.ir/Terms_and_Conditions_ir,_Appendix_1_Domain_Rules".

(thanks and sorry for the noise...)
Comment 4 :Ehsan Akhgari 2010-04-06 12:14:23 PDT
Should this be added to http://mxr.mozilla.org/mozilla-central/source/netwerk/dns/src/effective_tld_names.dat?  I don't see any IDN entries in that file.
Comment 5 Behnam Esfahbod [:zwnj] 2010-04-06 12:19:32 PDT
Not sure where to add it, but DMC page says "All returned strings are encoded in ASCII/ACE and normalized according to RFC 3454." (https://developer.mozilla.org/en/nsIEffectiveTLDService)

IIRC .kr have had similar setup as .ir for a few years.
Comment 6 :Ehsan Akhgari 2010-04-06 12:24:57 PDT
I actually meant to CC Gerv and pkasting on my question in comment 4.  :-)
Comment 7 Peter Kasting 2010-04-06 12:28:37 PDT
It looks to me like e.g. .hk has some Unicode domains.  Seems like we should probably add the Unicode, not punycode, versions?  pamg would probably know...
Comment 8 Gervase Markham [:gerv] 2010-04-07 03:33:38 PDT
Yes, that file is UTF-8. If we were to do this, we would add the Unicode versions.

However, there are several issues:

0) The two forms in comment 0 look identical to me. We would need to check that the .ir homograph policy was being applied to registrations across the two effective TLDs.

1) https://www.nic.ir/IDN says:

" IDNs are not allowed under dot-ir (.ir) TLD. Domain names under dot-ir contain ASCII characters only."

How does that fit with the existence of <iran>.ir?

2) We would need an application from the owners of <iran>.ir.

Gerv
Comment 9 IRNIC Technical Team 2010-04-07 04:56:27 PDT
Dear Gerv,

As a member of technical team at IRNIC, the .IR ccTLD Registry, I ask the Mozilla project to add the following IDN second-level domains to the list of Effective TLDs.

 * ایران.ir      xn--mgba3a4f16a.ir (Persian YEH, U+06CC)
 * ايران.ir      xn--mgba3a4fra.ir (Arabic YEH, U+0649)

Regarding the issue 0, yes, they look exactly alike and both Arabic and Persian YEH are used regularly by users, and this is the reason .IRAN.ir is actually mapped to two zones.

The bundling rules are describet at https://www.nic.ir/Allowable_Characters_dot-iran?lang=en#Table_3

And here are a few samples of the bundling rules:
https://tools.nic.ir/Punycode_Converter?name=%D8%A7%DB%8C%D8%B1%D8%A7%D9%86.ir
https://tools.nic.ir/Punycode_Converter?name=%D8%B1%DB%8C%E2%80%8C%D8%B1%D8%A7.%D8%A7%DB%8C%D8%B1%D8%A7%D9%86.ir

And about the second issue, We had the same discussion back in 2007, please find the answers on bug 406314 comment 8.  (I will fix the paragraph in IDN page to make it more clear)

Also, please update the link to the list of ASCII second-level Effective TLDs to http://www.nic.ir/Terms_and_Conditions_ir,_Appendix_1_Domain_Rules .

Thanks in advance,
-Behnam Esfahbod
IRNIC, the .IR ccTLD Registry
Comment 10 Behnam Esfahbod [:zwnj] 2010-04-16 02:55:25 PDT
Just to be sure, am I needed to provide more info?
Comment 11 Pam Greene 2010-04-16 03:54:03 PDT
Created attachment 439500 [details] [diff] [review]
Adds two <iran>.ir entries and updates URL

Here's hoping my tools handled the bidi text correctly...
Comment 12 Pam Greene 2010-04-16 03:57:22 PDT
Created attachment 439501 [details] [diff] [review]
Fixed typo (missing "x" in one of the comments)
Comment 13 :Ehsan Akhgari 2010-04-16 11:08:38 PDT
(In reply to comment #11)
> Here's hoping my tools handled the bidi text correctly...

They seem to be correct to me.
Comment 14 Behnam Esfahbod [:zwnj] 2010-04-16 14:08:53 PDT
Thanks Pam for the patch.  The entries are fine.  For the record, here are the UTF-8 sequences:
1. <d8 a7 db 8c d8 b1 d8 a7 d9 86 2e 69 72>
2. <d8 a7 d9 8a d8 b1 d8 a7 d9 86 2e 69 72>

Also you may want to add http://www.nic.ir/Internationalized_Domain_Names as the source for the two <iran>.ir entries as well.
Comment 15 Pam Greene 2010-04-19 06:18:28 PDT
Created attachment 439902 [details] [diff] [review]
Adds additional reference URL, and now a proper Hg diff
Comment 16 Gervase Markham [:gerv] 2010-04-19 07:12:14 PDT
Comment on attachment 439902 [details] [diff] [review]
Adds additional reference URL, and now a proper Hg diff

r=gerv.

Gerv
Comment 17 Gervase Markham [:gerv] 2010-04-19 07:25:50 PDT
Pushed.
http://hg.mozilla.org/mozilla-central/rev/6320fd00e481

Gerv
Comment 18 Behnam Esfahbod [:zwnj] 2010-04-19 07:50:20 PDT
Thanks dear Pam and Gerv.

Just one question, which of 1.9.0, 1.9.1, and 1.9.2 branches will have this fix?
Comment 19 :Ehsan Akhgari 2010-04-19 07:53:05 PDT
Comment on attachment 439902 [details] [diff] [review]
Adds additional reference URL, and now a proper Hg diff

(In reply to comment #18)
> Thanks dear Pam and Gerv.
> 
> Just one question, which of 1.9.0, 1.9.1, and 1.9.2 branches will have this
> fix?

Right now it's on trunk.  I'm requesting approval for 1.9.1 and 1.9.2, however, 1.9.0 is EOL'ed and there's no port in backporting this patch there.
Comment 20 Mike Beltzner [:beltzner, not reading bugmail] 2010-04-23 13:42:03 PDT
Comment on attachment 439902 [details] [diff] [review]
Adds additional reference URL, and now a proper Hg diff

a=beltzner for both branches, please land on mozilla-1.9.1 default and mozilla-1.9.2 default and mozilla-1.9.2 GECKO1924_20100413_RELBRANCH
Comment 22 Al Billings [:abillings] 2010-04-26 16:44:06 PDT
Verified for 1.9.1 and 1.9.2 in source.

Note You need to log in before you can comment on or make changes to this bug.